• Welcome to Simple Machines Community Forum. Please login or sign up.
December 08, 2021, 08:29:30 PM

News:

SMF 2.0.18 has been released! Please update. Read more.


SMF 1.0.7 and patch for 1.1 RC2 released

Started by Compuart, March 29, 2006, 05:32:12 PM

Previous topic - Next topic

Compuart

Quote from: Paula on March 30, 2006, 08:54:48 AM
I'm using SMF 1.1RC" and joomla 1.08 with the bridge and I have just installed the following via admin/packages:-
         Mod Name                          Version     
1.    SMF 1.0.7 / 1.1 RC2 Update    1.0

Result was very quick and received message that upload was successful.  However when I logged into  my site forum the following was displayed at the bottom of the page

Database Error: Table '_joom1.smf_sessions' doesn't exist
File:/public_html/forum/Sources/Load.php
Line: 1886
Warning: Unknown(): A session is active. You cannot change the session module's ini settings at this time. in Unknown on line 0. 


Any ideas as to what the problem is....or could it be to do with another problem I'm having which I've posted in another forum

http://www.simplemachines.org/community/index.php?topic=78806.0
Not sure, but as far as I can see it doesn't appear related to the upgrade. Check if the table smf_sessions exists. If not create one by running a query like this:
CREATE TABLE smf_sessions (
  session_id char(32) NOT NULL,
  last_update int(10) unsigned NOT NULL,
  data text NOT NULL,
  PRIMARY KEY (session_id)
) TYPE=MyISAM;

If that doesn't work (or isn't the problem) then start a topic in the support boards.

Quote from: Washi on March 30, 2006, 08:55:29 AM
Quote from: Prasad007 on March 30, 2006, 08:04:32 AM
Quote from: tL0z on March 30, 2006, 08:03:03 AM
Hello,

Should I unistall my mods before upgrading my 1.1 RC2 forum?

Thanks
no need. go for it.


Would that be the same for 1.0.6 to 1.0.7?
Also, I'd need to upgrade to 1.0.6, then to 1.0.7 if I'm starting at 1.0.5, right?
Actually you can upgrade from 1.0.5 to 1.0.7 in one step. We've combined both upgrades into one package.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

Prasad007

Quote from: Washi on March 30, 2006, 08:55:29 AM
Quote from: Prasad007 on March 30, 2006, 08:04:32 AM
Quote from: tL0z on March 30, 2006, 08:03:03 AM
Hello,

Should I unistall my mods before upgrading my 1.1 RC2 forum?

Thanks
no need. go for it.


Would that be the same for 1.0.6 to 1.0.7?
Also, I'd need to upgrade to 1.0.6, then to 1.0.7 if I'm starting at 1.0.5, right?
No thats a different case altogher.
Version numbers are different... many changes.
So you'll have to uninstall and remove all mods.

dyrer

Is this fix patch, correct UTF-8 problems?


ps. I have some css problem with this theme

Compuart

March 30, 2006, 11:04:14 AM #43 Last Edit: March 30, 2006, 11:06:32 AM by Compuart
Quote from: dyrer on March 30, 2006, 10:56:49 AM
Is this fix patch, correct UTF-8 problems?
No, those changes are too big to be included in a patch, but they will be available in the next release.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

Geek Mirror

Which is the recommended version of SMF, 1.0.7 or 1.1 RC2?
Best Regards, Steve Myers

Geek Mirrors Forum
http://www.geekmirror.com [nofollow]

Prasad007

Quote from: Geek Mirror on March 30, 2006, 11:07:05 AM
Which is the recommended version of SMF, 1.0.7 or 1.1 RC2?
Its a per user choice.
Id say RC 2.

Trekkie101

Quote from: Prasad007 on March 30, 2006, 11:15:05 AM
Quote from: Geek Mirror on March 30, 2006, 11:07:05 AM
Which is the recommended version of SMF, 1.0.7 or 1.1 RC2?
Its a per user choice.
Id say RC 2.


Not quite.

1.0.7 is the recommended version to use as its stable

RC2 has quite a few bugs....

Prasad007

Quote from: Trekkie101 on March 30, 2006, 11:35:49 AM
Quote from: Prasad007 on March 30, 2006, 11:15:05 AM
Quote from: Geek Mirror on March 30, 2006, 11:07:05 AM
Which is the recommended version of SMF, 1.0.7 or 1.1 RC2?
Its a per user choice.
Id say RC 2.


Not quite.

1.0.7 is the recommended version to use as its stable

RC2 has quite a few bugs....
okay.
but i said i recommend rc2 :)
didnt ask the user to consider it more :)


Marcus J

Quote from: Compuart on March 30, 2006, 05:24:00 AM
Quote from: max on March 30, 2006, 01:22:04 AM
I got a message "Session verification failed.  Please try logging out and back in again, and then try again" when trying to update from the admin center. Is this because my forum (SMF 1.1 RC2) is bridged with Joomla! (1.0.8)? I can of course do manual update, but in the future it would be nice if I could run the updates from the admin center... :(
Not sure, I haven't tested it with Joomla, but it should not be a problem, unless something with the JavaScript fails.

Quote from: azc on March 30, 2006, 01:23:23 AMAnyone know when (if?) the updated 1.1 RC2-1 files:

Poll.php,
QueryString.php, and
Search.php

will be included in either 'smf_1-1-rc2_install.zip', or 'smf_1-1-rc2_update.zip', or 'smf_1-1-rc2_upgrade.zip' files in the Download Section?
Since it's a Release Candidate the downloadable version will remain the same. As soon as 1.1 RC3 and/or 1.1 final are released, the files will of course contain the patch.

Quote from: Mookey on March 30, 2006, 02:23:40 AM
I've downloaded the Update, but there are many files in there.  Including the sources folder, and the update.php.  How do I install this manually?
I've uploaded two attachments containing the updated files for 1.0.7 and 1.1 RC2. You can use those to perform the upgrade if the package manager patch fails.

A long quote I know...  I just wanted to say THANK YOU for making it easy for this noob to update his site!  It is appreciated.  You guys at simple machines are great, and the SMF forums kick arse!

-Marcus

coolparth

Since updating if i change anything in features and options i get the following error...

Unable to load the 'main' template.

Please help..

I am not able to modify any settings.

Parth

Fizzy

Quote from: coolparth on March 30, 2006, 02:45:29 PM
Since updating if i change anything in features and options i get the following error...

Unable to load the 'main' template.

Please help..

I am not able to modify any settings.

Parth

Did you have any mods installed? If so which ones and did you uninstall them, update the forum and then re-install them?
"Reality is merely an illusion, albeit a very persistent one." - A.E.


Gary

Installed on RC2 with no problems what so ever. and I can see on a friends board that he's upgraded to 1.0.7 with no problems either.

Good stuff.
Gary M. Gadsdon
Do NOT PM me unless I say so
War of the Simpsons
Bongo Comics Fan Forum
Youtube Let's Plays

^ YT is changing monetisation policy, help reach 1000 sub threshold.

aw06

March 30, 2006, 04:56:39 PM #53 Last Edit: March 30, 2006, 04:58:15 PM by aw06
Is there a way to identify that the patch is installed ??? other than looking in the package manager section ..
:: ShopinJA.com Powered by SMF 1.1.19 | Ig-Oh Theme by Koni | 70 Rock Solid Error Free Mods | Many Custom Edits & Tweaks ::
- Host Unlimited Websites - Free Website Builder & Templates - Unlimited Disk Space & Bandwidth

Compuart

Quote from: aw06 on March 30, 2006, 04:56:39 PM
Is there a way to identify that the patch is installed ??? other than looking in the package manager section ..
In the 1.1 branch there isn't, in the 1.0 branch the 7 in 1.0.7 shows whether the patch has been installed.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

aw06

Quote from: Compuart on March 30, 2006, 05:00:20 PM
Quote from: aw06 on March 30, 2006, 04:56:39 PM
Is there a way to identify that the patch is installed ??? other than looking in the package manager section ..
In the 1.1 branch there isn't, in the 1.0 branch the 7 in 1.0.7 shows whether the patch has been installed.

Ok thanks ... any info with reguards to why my language pack still showing in red as 1.0 when i do a " Check all files against current versions "
:: ShopinJA.com Powered by SMF 1.1.19 | Ig-Oh Theme by Koni | 70 Rock Solid Error Free Mods | Many Custom Edits & Tweaks ::
- Host Unlimited Websites - Free Website Builder & Templates - Unlimited Disk Space & Bandwidth

janiebabes

That was so fabulously easy to install. Thank you!

feijo


Compuart

Quote from: aw06 on March 30, 2006, 05:14:16 PM
Quote from: Compuart on March 30, 2006, 05:00:20 PM
Quote from: aw06 on March 30, 2006, 04:56:39 PM
Is there a way to identify that the patch is installed ??? other than looking in the package manager section ..
In the 1.1 branch there isn't, in the 1.0 branch the 7 in 1.0.7 shows whether the patch has been installed.

Ok thanks ... any info with reguards to why my language pack still showing in red as 1.0 when i do a " Check all files against current versions "
Try a detailed check, there might be a single language file that isn't yet up to date.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

aw06

Quote from: Compuart on March 30, 2006, 05:22:20 PM
Quote from: aw06 on March 30, 2006, 05:14:16 PM
Quote from: Compuart on March 30, 2006, 05:00:20 PM
Quote from: aw06 on March 30, 2006, 04:56:39 PM
Is there a way to identify that the patch is installed ??? other than looking in the package manager section ..
In the 1.1 branch there isn't, in the 1.0 branch the 7 in 1.0.7 shows whether the patch has been installed.

Ok thanks ... any info with reguards to why my language pack still showing in red as 1.0 when i do a " Check all files against current versions "
Try a detailed check, there might be a single language file that isn't yet up to date.

How do i do a Detailed Version Check .. isnt that whats being done when i click Check all files against current versions ?
:: ShopinJA.com Powered by SMF 1.1.19 | Ig-Oh Theme by Koni | 70 Rock Solid Error Free Mods | Many Custom Edits & Tweaks ::
- Host Unlimited Websites - Free Website Builder & Templates - Unlimited Disk Space & Bandwidth

Advertisement: